Produto

(GET) por ID

    API Endpoint

        https://api.omnik.io/HUB/v1/products/{id}
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/{id}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "account": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "productData": {
    "active": true,
    "id": "string",
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "id": "string",
        "tenant": "string",
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string",
        "description": "string",
        "descriptionHTML": "string"
      },
      "productData": {
        "id": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "marketplaces": [
        {
          "marketplace": "string",
          "marketPlaceId": "string",
          "commissionValue": 0,
          "lastUpdate": "1970-01-01T00:00:00.000000",
          "active": true
        }
      ]
    }
  ],
  "marketplaces": [
    {
      "marketplace": "string",
      "marketPlaceId": "string",
      "commissionValue": 0,
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "active": true
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de Produto pelo ID

Path Parameters

Campo Tipo Descrição
id string (required) ID do Produto

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Query Parameters

Campo Tipo Descrição
inventory string (optional) Incluir Estoque atualizado? Default: false

(GET) paginado

    API Endpoint

        https://api.omnik.io/HUB/v1/products/
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "total": 0,
  "limit": 0,
  "offset": 0,
  "sort": "string",
  "values": [
    {
      "tenant": "string",
      "operator": "string",
      "account": "string",
      "createDate": "1970-01-01T00:00:00.000000",
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "productData": {
        "active": true,
        "id": "string",
        "productName": "string",
        "description": "string",
        "descriptionHTML": "string",
        "brand": "string",
        "tags": "string",
        "warranty": 0,
        "variant": true,
        "unit": "string",
        "unitInitials": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "productDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "taxData": {
        "icmsOriginId": "string",
        "icmsOriginName": "string",
        "ncmData": {
          "id": "string",
          "ncm": "string"
        }
      },
      "categoryData": {
        "id": "string",
        "code": "string",
        "name": "string"
      },
      "categories": [
        {
          "channel": "string",
          "tag": "string",
          "id1": "string",
          "name1": "string",
          "id2": "string",
          "name2": "string",
          "id3": "string",
          "name3": "string",
          "id4": "string",
          "name4": "string",
          "id5": "string",
          "name5": "string",
          "id6": "string",
          "name6": "string",
          "id7": "string",
          "name7": "string",
          "id8": "string",
          "name8": "string"
        }
      ],
      "attributes": [
        {
          "id": "string",
          "name": "string",
          "value": "string",
          "required": true
        }
      ],
      "skus": [
        {
          "active": true,
          "skuData": {
            "id": "string",
            "tenant": "string",
            "sku": "string",
            "skuName": "string",
            "gtin": "string",
            "model": "string",
            "crossdockingDays": 0,
            "supplierCode": "string",
            "erpCode": "string",
            "establishmentCode": "string",
            "moderationStatus": "string",
            "moderationDate": "string",
            "productType": "string",
            "productCondition": "string",
            "description": "string",
            "descriptionHTML": "string"
          },
          "productData": {
            "id": "string"
          },
          "codes": [
            {
              "code": "string"
            }
          ],
          "errors": [
            {
              "code": "string",
              "type": "string",
              "message": "string"
            }
          ],
          "priceData": {
            "fromPrice": 0,
            "price": 0,
            "costPrice": 0
          },
          "stockData": {
            "stock": 0,
            "minStock": 0
          },
          "packageDimensionData": {
            "width": 0,
            "height": 0,
            "depth": 0,
            "grossWeight": 0
          },
          "images": [
            {
              "thumbnail": "string",
              "small": "string",
              "average": "string",
              "big": "string",
              "link": "string",
              "main": true,
              "number": 0
            }
          ],
          "attributes": [
            {
              "name": "string",
              "value": "string"
            }
          ],
          "marketplaces": [
            {
              "marketplace": "string",
              "marketPlaceId": "string",
              "commissionValue": 0,
              "lastUpdate": "1970-01-01T00:00:00.000000",
              "active": true
            }
          ]
        }
      ],
      "marketplaces": [
        {
          "marketplace": "string",
          "marketPlaceId": "string",
          "commissionValue": 0,
          "lastUpdate": "1970-01-01T00:00:00.000000",
          "active": true
        }
      ]
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de produto paginada

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Query Parameters

Campo Tipo Descrição
offset integer (optional) indica a partir de onde ocorre um aumento
limit integer (optional) indica a quantidade de recursos a serem devolvidos, variando de 10 a no máximo 10
sort string (optional) indica por qual atributo a consulta deve ser classificada (lastUpdate ou createDate) (Default lastUpdate)
last_update string($yyyy-MM-dd'T'HH:mm:ss) (optional) last update
inventory string (optional) Incluir Estoque atualizado? Default: false

(POST) /products

    API Endpoint

        https://api.omnik.io/HUB/v1/products/
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/products/' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
--data '{
  "active": true,
  "tenant": "string",
  "account": "string",
  "productData": {
    "active": true,
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ]
    }
  ]
}'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "account": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "productData": {
    "active": true,
    "id": "string",
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "id": "string",
        "tenant": "string",
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string",
        "description": "string",
        "descriptionHTML": "string"
      },
      "productData": {
        "id": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "marketplaces": [
        {
          "marketplace": "string",
          "marketPlaceId": "string",
          "commissionValue": 0,
          "lastUpdate": "1970-01-01T00:00:00.000000",
          "active": true
        }
      ]
    }
  ],
  "marketplaces": [
    {
      "marketplace": "string",
      "marketPlaceId": "string",
      "commissionValue": 0,
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "active": true
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Incluir Produto

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

(PUT) /products

    API Endpoint

        https://api.omnik.io/HUB/v1/products/{id}
            
                
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/HUB/v1/products/{id}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
--data '{
  "active": true,
  "tenant": "string",
  "account": "string",
  "productData": {
    "active": true,
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ]
    }
  ]
}'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "account": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "productData": {
    "active": true,
    "id": "string",
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "id": "string",
        "tenant": "string",
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string",
        "description": "string",
        "descriptionHTML": "string"
      },
      "productData": {
        "id": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "marketplaces": [
        {
          "marketplace": "string",
          "marketPlaceId": "string",
          "commissionValue": 0,
          "lastUpdate": "1970-01-01T00:00:00.000000",
          "active": true
        }
      ]
    }
  ],
  "marketplaces": [
    {
      "marketplace": "string",
      "marketPlaceId": "string",
      "commissionValue": 0,
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "active": true
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Alterar Produto

Path Parameters

Campo Tipo Descrição
id string (required) ID do Produto

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

(PATCH) /products

    API Endpoint

        https://api.omnik.io/HUB/v1/products/{id}
            
                
# Here is a curl example
curl --location --request \
PATCH 'https://api.omnik.io/HUB/v1/products/{id}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
--data '{
  "active": true,
  "tenant": "string",
  "account": "string",
  "productData": {
    "active": true,
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ]
    }
  ]
}'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "account": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "productData": {
    "active": true,
    "id": "string",
    "productName": "string",
    "description": "string",
    "descriptionHTML": "string",
    "brand": "string",
    "tags": "string",
    "warranty": 0,
    "variant": true,
    "unit": "string",
    "unitInitials": "string"
  },
  "codes": [
    {
      "code": "string"
    }
  ],
  "productDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "packageDimensionData": {
    "width": 0,
    "height": 0,
    "depth": 0,
    "grossWeight": 0
  },
  "taxData": {
    "icmsOriginId": "string",
    "icmsOriginName": "string",
    "ncmData": {
      "id": "string",
      "ncm": "string"
    }
  },
  "categoryData": {
    "id": "string",
    "code": "string",
    "name": "string"
  },
  "categories": [
    {
      "channel": "string",
      "tag": "string",
      "id1": "string",
      "name1": "string",
      "id2": "string",
      "name2": "string",
      "id3": "string",
      "name3": "string",
      "id4": "string",
      "name4": "string",
      "id5": "string",
      "name5": "string",
      "id6": "string",
      "name6": "string",
      "id7": "string",
      "name7": "string",
      "id8": "string",
      "name8": "string"
    }
  ],
  "attributes": [
    {
      "id": "string",
      "name": "string",
      "value": "string",
      "required": true
    }
  ],
  "skus": [
    {
      "active": true,
      "skuData": {
        "id": "string",
        "tenant": "string",
        "sku": "string",
        "skuName": "string",
        "gtin": "string",
        "model": "string",
        "crossdockingDays": 0,
        "supplierCode": "string",
        "erpCode": "string",
        "establishmentCode": "string",
        "moderationStatus": "string",
        "moderationDate": "string",
        "productType": "string",
        "productCondition": "string",
        "description": "string",
        "descriptionHTML": "string"
      },
      "productData": {
        "id": "string"
      },
      "codes": [
        {
          "code": "string"
        }
      ],
      "errors": [
        {
          "code": "string",
          "type": "string",
          "message": "string"
        }
      ],
      "priceData": {
        "fromPrice": 0,
        "price": 0,
        "costPrice": 0
      },
      "stockData": {
        "stock": 0,
        "minStock": 0
      },
      "packageDimensionData": {
        "width": 0,
        "height": 0,
        "depth": 0,
        "grossWeight": 0
      },
      "images": [
        {
          "thumbnail": "string",
          "small": "string",
          "average": "string",
          "big": "string",
          "link": "string",
          "main": true,
          "number": 0
        }
      ],
      "attributes": [
        {
          "name": "string",
          "value": "string"
        }
      ],
      "marketplaces": [
        {
          "marketplace": "string",
          "marketPlaceId": "string",
          "commissionValue": 0,
          "lastUpdate": "1970-01-01T00:00:00.000000",
          "active": true
        }
      ]
    }
  ],
  "marketplaces": [
    {
      "marketplace": "string",
      "marketPlaceId": "string",
      "commissionValue": 0,
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "active": true
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Alterar Produto

Path Parameters

Campo Tipo Descrição
id string (required) ID do Produto

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

(DELETE) /products

    API Endpoint

        https://api.omnik.io/HUB/v1/products/{id}
            
                
# Here is a curl example
curl --location --request \
DELETE 'https://api.omnik.io/HUB/v1/products/{id}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Deletar o Produto

Path Parameters

Campo Tipo Descrição
id string (required) ID do Produto

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)